Newegg Developer Portal

Get Tax Setting Report for Items Enabled for China Get a list of seller’s items that is enabled to ship to China with the defined tax settings for China Resource URL

Newegg.com: https://api.newegg.com/marketplace/reportmgmt/report/result?sellerid={sellerid}

Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks. Parameters

NameRequired?DescriptionselleridYesYour seller ID on Newegg Marketplace

Resource Information

HTTP MethodAuthentication?Request FormatsResponse FormatsRate Limited?PUTRequiredXML, JsonXML, Json500 request per hour

Request Body

AttributeRequired?FormatDescriptionIssueUserNoStringIssuer’s registered Seller Portal email address. System will only accept Seller’s registered Seller Portal email addresses.If left blank, default value will be Seller ID.OperationTypeYesStringFixed values: ItemChinaTaxSettingReportRequestRequestIDYesStringNewegg's assigned ID for submitted requestPageIndexYesIntegerCurrent page indexPageSizeYesIntegerReturn records count in one page Max is 100 per page

Schema: GetReportRequest.xsd Example: XML, Request

PUT https://api.newegg.com/marketplace/reportmgmt/report/result?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
SecretKey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml

<NeweggAPIRequest >
    <OperationType>ItemChinaTaxSettingReportRequest</OperationType>
    <RequestBody>
        <RequestID>2PQBYWH4V68ZP</RequestID>
        <PageInfo>
            <PageIndex>1</PageIndex>
            <PageSize>10</PageSize>
        </PageInfo>
    </RequestBody>
</NeweggAPIRequest>

Example: Json, Request

PUT https://api.newegg.com/marketplace/reportmgmt/report/result?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
SecretKey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json

{
    "OperationType": "ItemChinaTaxSettingReportRequest",
    "RequestBody": {
        "RequestID": "2PQBYWH4V68ZP",
        "PageInfo": {
            "PageSize": "10",
            "PageIndex": "1"
        }
    }
}

Response Body

AttributeFormatDescriptionIsSuccessStringGet feed status operation: True: Successful False: Not successfulSellerIDStringYour seller IDOperationTypeStringFixed value: ItemChinaTaxSettingReportResponseRequestIDStringNewegg's assigned ID for submitted requestRequestTypeStringITEM_CHINATAXSETTING_REPORTRequestDateStringYour request date time (Pacific Standard Time)ReportFileURLStringThe ftp file path, where you can get the report result file, example: ftp://API52qNFlUQ:pKLgE2aE@ftp03.newegg.com/InternationalInventoryReport_2PN75DT8ZICH8.txt File report property information:

Property NameDefinitionSeller Part #The seller part # is the SKU number assigned to this item by seller.NE Item #The Newegg Item # for this itemTax Duty TypeIdentify the tax and duty rules to be applied for items shipping to China. Available options:

  • DDU: Deliver Duties Unpaid. No duty or tax will be added to orders. Customers are responsible for additional duties and taxes during the customs clearance.

  • DDP: Deliver Duties Paid. Duties and taxes will be collected while customers placing orders. Sellers are responsible to pay all duties and taxes directly. Collected amount will be remit to sellers along with regular payment transactions.

  • ATI: All tax included. All duties and taxes are included in item’s selling price. No duty or tax will be added to orders. Seller are responsible to pay all duties and taxes directly.

  • Default: Apply the account level settings, DDU, DDP, or ATI, you specified.

Import TypeIdentify the order import type for calculating the correct tax amount for items shipping to China. Available options:

  • EE: Taxes will be calculated as personal shipments. Recipient’s photo ID number and the copy of ID will be provided for processing orders.

  • EEP: Taxes will be calculated as business to customer direct shipments, known as Cross-Border e-Commerce. Payment holder’s photo ID number will be provided for processing orders.

  • Default: Apply the account level settings, EE or EEP, you specified.

 MemoStringAdditional information

Schema: ItemChinaTaxSettingReportResponse.xsd Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
    <IsSuccess>true</IsSuccess>
    <sellerID>A006</sellerID>
    <OperationType>ItemChinaTaxSettingReportResponse</OperationType>
    <ResponseBody>
        <RequestID>2PQC13C7UYDPQ</RequestID>
        <RequestType>ITEM_CHINATAXSETTING_REPORT</RequestType>
        <RequestDate>2/21/2012 15:32:57</RequestDate>
        <ReportFileURL>ftp://APIe6Cl2FfE:M9RUtm2s@ftp03.newegg.com/InternationalInventoryReport_2PQC13C7UYDPQ.xls</ReportFileURL>
    </ResponseBody>
    <Memo />
</NeweggAPIResponse>

Example: Json, Response

{
    "NeweggAPIResponse": {
        "IsSuccess": "true",
        "sellerID": "A006",
        "OperationType": "ItemChinaTaxSettingReportResponse",
        "ResponseBody": {
            "RequestID": "2PQC13C7UYDPQ",
            "RequestType": "ITEM_CHINATAXSETTING_REPORT",
            "RequestDate": "2/21/2012 15:32:57",
            "ReportFileURL": "ftp://APIe6Cl2FfE:M9RUtm2s@ftp03.newegg.com/InternationalInventoryReport_2PQC13C7UYDPQ.xls"
        },
        "Memo": null
    }
}

Request Failure Errors For common HTTP error responses, please refer to Failed Response Error Code List. Example: XML, Response

<?xml version="1.0" encoding="utf-8"?>
<Errors>
    <Error>
        <Code>CE001</Code>
        <Message>SellerID cannot be null or empty</Message>
    </Error>
</Errors>

Example: Json, Response

[
    {
        "Code": "CE001",
        "Message": "SellerID cannot be null or empty"
    }
]

Last updated: October 15, 2018